// SessionPropertiesMirrorPage.cpp : implementation file
//

#include "stdafx.h"
#include "MirrorIt.h"
#include "SessionPropertiesMirrorPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSessionPropertiesMirrorPage property page

IMPLEMENT_DYNCREATE(CSessionPropertiesMirrorPage, CPropertyPage)

CSessionPropertiesMirrorPage::CSessionPropertiesMirrorPage() : CPropertyPage(CSessionPropertiesMirrorPage::IDD)
{
	//{{AFX_DATA_INIT(CSessionPropertiesMirrorPage)
	m_Mirror = -1;
	m_LocalURLs = FALSE;
	//}}AFX_DATA_INIT
}

CSessionPropertiesMirrorPage::~CSessionPropertiesMirrorPage()
{
}

void CSessionPropertiesMirrorPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSessionPropertiesMirrorPage)
	DDX_Control(pDX, IDC_LOCALURLS, m_LocalURLsControl);
	DDX_Radio(pDX, IDC_MIRROR1, m_Mirror);
	DDX_Check(pDX, IDC_LOCALURLS, m_LocalURLs);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSessionPropertiesMirrorPage, CPropertyPage)
	//{{AFX_MSG_MAP(CSessionPropertiesMirrorPage)
	ON_BN_CLICKED(IDC_MIRROR1, OnMirror1)
	ON_BN_CLICKED(IDC_MIRROR2, OnMirror2)
	ON_BN_CLICKED(IDC_MIRROR3, OnMirror3)
	ON_BN_CLICKED(IDC_MIRROR4, OnMirror4)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSessionPropertiesMirrorPage message handlers

void CSessionPropertiesMirrorPage::OnMirror1() 
{
	OnMirror(1);
}

void CSessionPropertiesMirrorPage::OnMirror2() 
{
	OnMirror(0);
}

void CSessionPropertiesMirrorPage::OnMirror3() 
{
	OnMirror(0);
}

void CSessionPropertiesMirrorPage::OnMirror(int i)
{
	m_LocalURLsControl.EnableWindow(i);
	m_LocalURLsControl.SetCheck(i);
}

BOOL CSessionPropertiesMirrorPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();

	SetMirror(m_Mirror);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSessionPropertiesMirrorPage::SetMirror(int i)
{
	i = (i > 0) ? 0 : 1;
	m_LocalURLsControl.EnableWindow(i);
	m_LocalURLsControl.SetCheck(i);
}


void CSessionPropertiesMirrorPage::OnMirror4() 
{
	OnMirror(0);
}
