#if !defined(AFX_SESSIONPROPERTIESSHEET_H__031A8762_5442_11D1_AF0A_0000C0003048__INCLUDED_)
#define AFX_SESSIONPROPERTIESSHEET_H__031A8762_5442_11D1_AF0A_0000C0003048__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SessionPropertiesSheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSessionPropertiesSheet

class CSession;
class CSessionPropertiesMainPage;

class CSessionPropertiesSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CSessionPropertiesSheet)

// Construction
public:
	CSessionPropertiesSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CSessionPropertiesSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CSessionPropertiesSheet(BOOL bNew = FALSE);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSessionPropertiesSheet)
	//}}AFX_VIRTUAL

// Implementation
public:
	void SetUINT(UINT & i1, UINT & i2, BOOL & b);
	void SetBool(BOOL & b1, BOOL & b2, BOOL & b);
	void SetInt(int & i1, int & i2, BOOL & b);
	void SetString(CString & s1, CString & s2, BOOL & b);
	void SetData(CSession & session);
	BOOL GetData(CSession & session);
	CSessionPropertiesMainPage * page1;
	CSessionPropertiesMirrorPage * page2;
	CSessionPropertiesFileNamePage * page3;
	CSessionPropertiesFileTypesPage * page4;
	CSessionPropertiesLimitPage * page5;
	CSessionPropertiesProxyPage * page6;
	CSessionPropertiesPasswordPage * page7;
	CSessionPropertiesAdvancedPage * page8;
	virtual ~CSessionPropertiesSheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CSessionPropertiesSheet)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SESSIONPROPERTIESSHEET_H__031A8762_5442_11D1_AF0A_0000C0003048__INCLUDED_)
