// DateTimePickerCtrl.cpp : implementation file
//

#include "stdafx.h"
#include "MirrorIt.h"
#include "DateTimePickerCtrl.h"
#include "commctrl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDateTimePickerCtrl

CDateTimePickerCtrl::CDateTimePickerCtrl()
{
}

CDateTimePickerCtrl::~CDateTimePickerCtrl()
{
	DestroyWindow();
}


BOOL CDateTimePickerCtrl::Create(DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID)
{
	INITCOMMONCONTROLSEX icc;

	icc.dwSize = sizeof(INITCOMMONCONTROLSEX);
	icc.dwICC = ICC_DATE_CLASSES;
	InitCommonControlsEx(&icc);
	InitCommonControls();

	CWnd* pWnd = this;
	return pWnd->Create(DATETIMEPICK_CLASS, NULL, dwStyle, rect, pParentWnd, nID);
}

BEGIN_MESSAGE_MAP(CDateTimePickerCtrl, CWnd)
	//{{AFX_MSG_MAP(CDateTimePickerCtrl)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CDateTimePickerCtrl message handlers

IMPLEMENT_DYNAMIC(CDateTimePickerCtrl, CWnd)


BOOL CDateTimePickerCtrl::OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult) 
{
	NMDATETIMECHANGE *n = (NMDATETIMECHANGE *) lParam;
	if (n -> nmhdr.code == DTN_DATETIMECHANGE)
	{
		m_Time = n -> st;

	}
	return CWnd::OnNotify(wParam, lParam, pResult);
}

void CDateTimePickerCtrl::GetDateTime(SYSTEMTIME & st)
{
	DateTime_GetSystemtime(m_hWnd, &st);
	m_Time = st;
}

void CDateTimePickerCtrl::SetDateTime(SYSTEMTIME & st)
{
	m_Time = st;
	DateTime_SetSystemtime(m_hWnd, GDT_VALID, &m_Time);
}
